#!/bin/sh

DST=/dev/fd0

while [ -z "$SRC" ]; do
	cat<<EOF

Making VineLinux boot FD
    1) Local CD-ROM/HDD     (NOT PC-CARD)
    2) Network NFS/FTP/HTTP (NOT PC-CARD)
    3) PCMCIA CDROM/HDD
    4) PCMCIA Network NFS/FTP/HTTP
    5) USB CDROM/Network (Not Tested)
EOF
	echo -n "Select (1-5) "
	read
	case $REPLY in
		1) SRC=boot.img;;
		2) SRC=bootnet.img;;
		3) SRC=pcmcia.img;;
		4) SRC=pcmcianet.img;;
		4) SRC=bootusb.img;;
	esac
done

echo ""
echo "dd if=$SRC of=$DST bs=512 count=2880"
echo -n "Are you sure (yes/no)"
read
case $REPLY in
    yes|YES);;
    *) exit 1;;
esac

echo "Now writting..."
dd if=$SRC of=$DST bs=512 count=2880
